Get Release Group Dependencies
https://app.fossa.com/api/v2/release-groups/{projectGroupId}/releases/{projectGroupReleaseId}/dependenciesGet the dependencies for a given release group
Path parameters
projectGroupIdintegerrequiredprojectGroupReleaseIdintegerrequiredThe ID of the release
Query parameters
locators[]string[]Filter dependencies by locators (exact match)
titlestringFilter dependencies by title
status[]enum[]Filter dependencies by status
depth[]enum[]Filter dependencies by depth
layerDepth[]enum[]Filter dependencies by depth (for container projects)
hasIssues[]enum[]Filter dependencies by the presence of issues
licenses[]string[]Filter dependencies by licenses
fetchers[]string[]Filter dependencies by package manager
showIgnoredbooleanIncludes ignored dependencies
confidence[]enum[]Filter dependencies by confidence
sources[]enum[]Filter dependencies by source type (managed or vendored). Only supported on project scope.
rootProjects[]string[]Filter release group dependencies by root projects
packageLabels[]string[]Filter dependencies by package label IDs
vendoredPathstringFilter to vendored dependencies found under this path prefix. Only supported on project scope.
includeResolutionNotesbooleanInclude resolution notes in issue data
includeLicenseTextbooleanInclude full license text in license data
includeCopyrightbooleanInclude copyright information in license data
includeMatchesbooleanInclude license match details in license data
includeDownloadUrlbooleanInclude download URL in package data
pageintegerThe specific page of data to return
countintegerThe number of items to return in each page of results
Responses
200OKdependenciesobject[]locatorstringtitlestringisManualbooleanisIgnoredbooleanisUnknownbooleanisSnippetConversionbooleanconclusionsobjectscopedobjectlicensesstring[]lastEditedBystringupdatedAtstringbaseobjectlicensesstring[]justificationstringlicensesstring[]declaredLicensesstring[]discoveredLicensesstring[]licenseGroupsobject[]The grouped licenses discovered for this dependency.
licenseGroupIdintegersignaturestringignoredbooleanisDeclaredbooleanlicensesobject[]titlestringlicenseIdstringignoredbooleanurlstring | nulllicenseGroupIdintegerrevisionLicenseIdintegerprojectCorrectionIdinteger | nulllabelsobject[]The package label assignments applied to this dependency.
idintegerrequiredThe ID of the package label assignment.
createdAtstring <date-time>requiredThe date and time the package label assignment was created.
updatedAtstring <date-time>requiredThe date and time the package label assignment was last updated.
organizationIdintegerrequiredThe ID of the organization that owns the package label assignment.
labelIdintegerrequiredThe ID of the label that was assigned to the package.
packageIdstringrequiredThe ID of the package that the label was assigned to.
packageVersionstringThe version of the package that the label was assigned to or null if the label was assigned to all versions.
scopeenumrequiredThe scope of the package label assignment.
orgprojectrevisionscopeIdstringrequiredThe ID of the scope that the label was assigned to or null if the label was assigned to all scopes.
namestringrequiredThe name of the label that was assigned to the package.
depthintegeroriginPathsstring[]statusobjecterrorstringresolvedbooleanunsupportedbooleananalyzingbooleanissuesobject[]idintegertypestringstatusenumactiveignoredlicensestringcvssScorenumberrootProjectsobject[]titlestringrevisionstringbranchstringconclusionsobjectscopedobjectlicensesstring[]lastEditedBystringupdatedAtstringbaseobjectlicensesstring[]justificationstringlayerDepthnumbercpesstring[]vendoredPathsstring[]versionstringtotalintegerThe total number of dependencies matching the filters, across all pages.
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/release-groups/1/releases/1/dependenciescurl --request GET \ --url 'https://app.fossa.com/api/v2/release-groups/1/releases/1/dependencies' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
projectGroupIdintegerrequiredprojectGroupReleaseIdintegerrequiredThe ID of the release
Query params
locators[]arrayFilter dependencies by locators (exact match)
titlestringFilter dependencies by title
status[]arrayFilter dependencies by status
depth[]arrayFilter dependencies by depth
layerDepth[]arrayFilter dependencies by depth (for container projects)
hasIssues[]arrayFilter dependencies by the presence of issues
licenses[]arrayFilter dependencies by licenses
fetchers[]arrayFilter dependencies by package manager
showIgnoredbooleanIncludes ignored dependencies
confidence[]arrayFilter dependencies by confidence
sources[]arrayFilter dependencies by source type (managed or vendored). Only supported on project scope.
rootProjects[]arrayFilter release group dependencies by root projects
packageLabels[]arrayFilter dependencies by package label IDs
vendoredPathstringFilter to vendored dependencies found under this path prefix. Only supported on project scope.
includeResolutionNotesbooleanInclude resolution notes in issue data
includeLicenseTextbooleanInclude full license text in license data
includeCopyrightbooleanInclude copyright information in license data
includeMatchesbooleanInclude license match details in license data
includeDownloadUrlbooleanInclude download URL in package data
pageintegerThe specific page of data to return
countintegerThe number of items to return in each page of results